HP OpenView Ovalarmsrv Remote Buffer Overflow Exploit

This module exploits a buffer overflow vulnerability in the ovalarmsrv module of the HP OpenView Network NodeManager application. The exploit triggers a stack-based buffer overflow by sending a specially crafted packet to port 2954/TCP of the vulnerable system and installs an agent if successful. This module works disabling DEP on Windows 2003 Enterprise Edition sp2 in the context of the vulnerable application.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2008-1851
Product Version: 
7.5
Released Date: 
Monday, September 29, 2008 - 00:00